curl https://yieldsniper.finance/api/v1/instruments/search \
-H "Authorization: Bearer $YS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"where": [
{
"field": "yield.total_apy",
"op": "gte",
"value": 6.5
},
{
"field": "safety.band",
"op": "eq",
"value": "low"
},
{
"field": "asset_class",
"op": "eq",
"value": "stablecoin"
},
{
"field": "screen.verdict",
"op": "eq",
"value": "pass"
}
],
"sort": [
{
"field": "yield.total_apy",
"direction": "desc"
}
],
"fields": [
"name",
"venue.protocol",
"venue.chain",
"yield.total_apy",
"liquidity.tvl",
"safety.score",
"safety.band"
],
"limit": 3
}'
{
"object": "list",
"data": [
{
"object": "instrument",
"id": "ins_f3cbaa85fd31098b",
"name": "USD1",
"venue": {
"protocol": {
"id": "prt_dolomite",
"name": "Dolomite"
},
"chain": {
"id": "ethereum",
"name": "Ethereum"
}
},
"yield": {
"total_apy": 8.13962
},
"liquidity": {
"tvl": 317526951
},
"safety": {
"score": 80,
"band": "low"
},
"as_of": "2026-10-23T23:45:21.116Z"
},
{
"object": "instrument",
"id": "ins_2f32db0cbfbb54dd",
"name": "USDC",
"venue": {
"protocol": {
"id": "prt_pareto-credit",
"name": "Pareto Credit"
},
"chain": {
"id": "ethereum",
"name": "Ethereum"
}
},
"yield": {
"total_apy": 8.06349
},
"liquidity": {
"tvl": 131498789
},
"safety": {
"score": 85,
"band": "low"
},
"as_of": "2026-10-23T23:45:21.116Z"
},
{
"object": "instrument",
"id": "ins_8da0acac29ee1d21",
"name": "USDC",
"venue": {
"protocol": {
"id": "prt_kamino-lend",
"name": "Kamino Lend"
},
"chain": {
"id": "solana",
"name": "Solana"
}
},
"yield": {
"total_apy": 7.82297
},
"liquidity": {
"tvl": 52538417
},
"safety": {
"score": 80,
"band": "low"
},
"as_of": "2026-10-23T23:45:21.116Z"
}
],
"total": 6,
"has_more": true,
"next_cursor": "eyJoIjoiODIzOTQ1MjUiLCJ2IjpbNy44MjI5NywiZGFkYTVjZWYwMjFhM2Q4ZSJdfQ",
"access": "full",
"as_of": "2026-10-23T23:45:21.116Z",
"query": {
"where": [
{
"field": "yield.total_apy",
"op": "gte",
"value": 6.5
},
{
"field": "safety.band",
"op": "eq",
"value": "low"
},
{
"field": "asset_class",
"op": "eq",
"value": "stablecoin"
},
{
"field": "screen.verdict",
"op": "eq",
"value": "pass"
}
],
"match": "all",
"sort": [
{
"field": "yield.total_apy",
"direction": "desc"
}
],
"fields": [
"name",
"venue.protocol",
"venue.chain",
"yield.total_apy",
"liquidity.tvl",
"safety.score",
"safety.band"
],
"limit": 3
}
}